Ansible和npm安装失败,并显示“rc -9”。 这是什么意思?

我们有一个stream浪虚拟的盒子,想让Ansible做一些安装工作。 到目前为止,设置stream浪汉和ssh的东西的作品。 克隆git-repository – 工作! 其他任务testing…工作!

但是当我们尝试安装npm -dependencies时遇到了一个问题。 我们得到的是一个神秘的错误信息,指示错误代码“rc = -9”。

当通过ssh在同一个虚拟盒子上运行“ npm install ”时,一切都如同轻而易举。 有谁知道,这里可能是什么问题? 或者给我们一个提示什么错误-9可能是什么? 我们在这里黑暗中敲打着…

Ansible失败并返回:

failed: [192.168.10.15] => {"cmd": "/usr/bin/npm install", "failed": true, "rc": -9}

Ansible-playbook

 --- - hosts: build remote_user: vagrant sudo: yes sudo_user: root vars: working_dir: /home/vagrant/build tasks: - name: remove old working dir file: path={{ working_dir }} state=absent - name: GIT | checkout webviews repository become: yes become_user: vagrant git: repo=ssh://git@git.mygit.com/hello.git dest=/home/vagrant/build accept_hostkey=yes - name: NPM | Install gulp npm: name=gulp global=yes state=present - name: NPM | Install webviews dependencies npm: path=/home/vagrant/build 

       

网上收集的解决方案 "Ansible和npm安装失败,并显示“rc -9”。 这是什么意思?"

我们做了一些步骤,工作。 我们改用Archlinux,而不是在虚拟盒子上使用UbuntuLTS。 那现在又回到了一个可读的错误信息:

 TASK: [NPM | Install webviews dependencies] *********************************** failed: [192.168.10.25] => {"cmd": "/usr/bin/npm install", "failed": true, "rc": -9} stderr: npm WARN optional dep failed, continuing fsevents@0.3.6 FATAL: all hosts have already failed — aborting 

最后一个错误可以通过使用StackOverflow来解决: npm WARN可选dep失败,继续fsevents@0.3.6